package jrummikub.view;

import java.util.UUID;

import jrummikub.util.IEvent;
import jrummikub.util.IEvent1;

public interface IGameListPanel {
	public static class GameData {
		private UUID gameID;
		private String host;
		private int currentPlayerCount = 0;
		private int maxPlayerCount = 0;

		public GameData(UUID gameID) {
			this.gameID = gameID;
		}

		public GameData(UUID gameID, String host) {
			this.gameID = gameID;
			this.host = host;

		}

		public void setCurrentPlayerCount(int i) {
			currentPlayerCount = i;
		}

		public int getCurrentPlayerCount() {
			return currentPlayerCount;
		}

		public void setMaxPlayerCount(int i) {
			maxPlayerCount = i;
		}

		public int getMaxPlayerCount() {
			return maxPlayerCount;
		}

		public String getHost() {
			return host;
		}

		public UUID getGameID() {
			return gameID;
		}
	}

	public IEvent getOpenNewGameEvent();

	public IEvent getCancelEvent();

	public IEvent1<GameData> getJoinEvent();

	public void removeGame(GameData game);

	public void addGame(GameData game);

	public void setChannelName(String name);
}
